Bug 1361066 - [RFE] DHT Events
Summary: [RFE] DHT Events
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Nithya Balachandran
QA Contact: Prasad Desala
URL:
Whiteboard: USM-Gluster integration
Depends On:
Blocks: 1351503 1371874 1376477
TreeView+ depends on / blocked
 
Reported: 2016-07-28 09:44 UTC by Nithya Balachandran
Modified: 2017-03-23 05:40 UTC (History)
4 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1371874 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:40:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Nithya Balachandran 2016-07-28 09:44:57 UTC
Description of problem:

This RFE is to track the changes required in the DHT component to generate the events to be consumed by the eventing framework.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Atin Mukherjee 2016-08-31 11:50:30 UTC
http://review.gluster.org/15373 posted upstream for review.

Comment 7 Prasad Desala 2016-12-13 10:39:59 UTC
Below mentioned DHT and Rebalance events are successfully seen.

"EVENT_VOLUME_ADD_BRICK",	{u'message': {u'bricks': u'10.70.43.141:/bricks/brick3/b3 10.70.43.156:/bricks/brick3/b3', u'volume': u'distrep'}, u'event': u'VOLUME_ADD_BRICK', u'ts': 1476866772, u'nodeid': u'342de060-7cd2-4ddf-ba3a-883c477b30d7'}
	
"EVENT_VOLUME_REMOVE_BRICK_START",	{u'message': {u'bricks': u'10.70.43.141:/bricks/brick3/b3 10.70.43.156:/bricks/brick3/b3', u'volume': u'distrep'}, u'event': u'VOLUME_REMOVE_BRICK_START', u'ts': 1476867037, u'nodeid': u'342de060-7cd2-4ddf-ba3a-883c477b30d7'}	
	
"EVENT_VOLUME_REMOVE_BRICK_COMMIT",	{u'message': {u'bricks': u'10.70.43.141:/bricks/brick3/b3 10.70.43.156:/bricks/brick3/b3', u'volume': u'distrep'}, u'event': u'VOLUME_REMOVE_BRICK_COMMIT', u'ts': 1476867188, u'nodeid': u'342de060-7cd2-4ddf-ba3a-883c477b30d7'}	
	
"EVENT_VOLUME_REMOVE_BRICK_STOP",	{u'message': {u'bricks': u'10.70.42.7:/bricks/brick3/b3 10.70.41.211:/bricks/brick3/b3', u'volume': u'distrep'}, u'event': u'VOLUME_REMOVE_BRICK_STOP', u'ts': 1476866657, u'nodeid': u'342de060-7cd2-4ddf-ba3a-883c477b30d7'}
	
"EVENT_VOLUME_REMOVE_BRICK_FORCE",	{u'message': {u'bricks': u'10.70.42.7:/bricks/brick3/b3 10.70.41.211:/bricks/brick3/b3', u'volume': u'distrep'}, u'event': u'VOLUME_REMOVE_BRICK_FORCE', u'ts': 1476867222, u'nodeid': u'342de060-7cd2-4ddf-ba3a-883c477b30d7'}

"EVENT_VOLUME_REBALANCE_START",	{u'message': {u'volume': u'distrep'}, u'event': u'VOLUME_REBALANCE_START', u'ts': 1476866812, u'nodeid': u'342de060-7cd2-4ddf-ba3a-883c477b30d7'}
	
"EVENT_VOLUME_REBALANCE_STOP",	{u'message': {u'volume': u'distrep'}, u'event': u'VOLUME_REBALANCE_STOP', u'ts': 1476866823, u'nodeid': u'342de060-7cd2-4ddf-ba3a-883c477b30d7'}
	
"EVENT_VOLUME_REBALANCE_FAILED",	{u'message': {u'volume': u'distrep'}, u'event': u'VOLUME_REBALANCE_FAILED', u'ts': 1476866823, u'nodeid': u'a836cdab-19f7-4820-afc6-2165459ceee0'}
	
"EVENT_VOLUME_REBALANCE_COMPLETE",	{u'message': {u'volume': u'distrep'}, u'event': u'VOLUME_REBALANCE_COMPLETE', u'ts': 1476866946, u'nodeid': u'a836cdab-19f7-4820-afc6-2165459ceee0'}
	
Moving this RFE to verified in 3.2. Will open a separate BZ if seen any other eventing issues.

Comment 9 errata-xmlrpc 2017-03-23 05:40:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.